export default remarkRetext
export type Node = import('unist').Node
export type MdastRoot = import('mdast').Root
export type ParserInstance = import('mdast-util-to-nlcst').ParserInstance
export type ParserConstructor = import('mdast-util-to-nlcst').ParserConstructor
export type Options = import('mdast-util-to-nlcst').Options
export type Processor = import('unified').Processor<any, any, any, any>
export type Parser = import('unified').Parser<any>
/**
 * Plugin to bridge or mutate to retext.
 *
 * If a destination processor is given, runs the destination with the new nlcst
 * tree (bridge-mode).
 * If a parser is given, returns the nlcst tree: further plugins run on that
 * tree (mutate-mode).
 *
 * @param destination
 *   Either a processor (`unified().use(retextEnglish)…`) or a parser.
 * @param options
 *   Configuration passed to `mdast-util-to-nlcst`.
 */
declare const remarkRetext: import('unified').Plugin<
  [Processor, Options?] | [Processor],
  MdastRoot,
  MdastRoot
> &
  import('unified').Plugin<[Parser, Options?] | [Parser], MdastRoot, Node>
